{% extends 'base.html.twig' %}

{% block icon %}fa fa-table{% endblock %}
{% block title %}Règles documentaires{% endblock %}
{% block breadcrumb %}
    {% if category is not null %}
        {% set path = category.path|split(' ⮕ ') %}
        {% set current = url('public_document_rule', {names: path[0]}) %}
        <li><a href="{{ url('public_home') }}">Règles documentaires</a></li>
        {% for i, cat in path %}
            {% if i > 0 %}
                {% set current = current ~ '/' ~ cat %}
            {% endif %}
            {% if i == path|length -1 %}
                <li class="active">{{ cat }}</li>
            {% else %}
                <li><a href="{{ current }}">{{ cat }}</a></li>
            {% endif %}
        {% endfor %}
    {% else %}
        <li class="active">Règles documentaires</li>
    {% endif %}
{% endblock %}

{% block body %}

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des règles documentaires"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('public_document_rule_csv', app.request.query.all + {names: app.request.attributes.get('names')}) }}" data-link-download-csv="%s_document_rule.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}
